import { ResponseArgs } from '@swagger/cat';
import { isBoolean } from '@utils/common';
import { isObject } from 'lodash';

export function isResponseArgs(obj: any): obj is ResponseArgs {
  return isBoolean(obj?.error) && isObject(obj?.invalidProperties);
}
